/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 */
package pacman;


/**
 *
 * @author akouznet
 */
public class Slavik extends Enemy {
    
    public static final double SLAVIK_SPEED_BOOST = 1.2;

    public Slavik() {
        super(SLAVIK_SPEED_BOOST, "slavikNormal.jpg", "slavikFrightened.png");
    }

    @Override
    public void stepFinished() {
        maybeDropPalevo();
        if (Math.random() < 0.2) {
            chooseRandomDirection();
        } else {
            super.stepFinished();
        }
    }

    @Override
    int getRequestAmount() {
        return 20;
    }
}
